Skip to main content

0.9.5 POM build broken

6 replies [Last post]
kschaefe
Offline
Joined: 2006-06-08
Points: 0

The jar that was supplied to the maven2 repo on java.net lacks most packages, such as decorator, autocomplete, renderer, all plaf packages, etc.

Karl

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
s_mc
Offline
Joined: 2007-11-02
Points: 0

it seems the source attachment is still "broken" - it contains all java-files, but the "org"-directory is prefixed with a blank, which prevents eclipse to load the source files.

rah003
Offline
Joined: 2004-05-26
Points: 0

Just downloaded the jar and I don't see any bogus space in the directory name.
Can you try to delete the jar from your local repo and download it again?
Can someone else confirm that the file is broken?

kschaefe
Offline
Joined: 2006-06-08
Points: 0

We may be best in delivering a new version of the POM (0.9.5.1), so that this problem doesn't reoccur elsewhere. I had to remove it from my local repo and my company repo, which caches.

Karl

rah003
Offline
Joined: 2004-05-26
Points: 0

To my knowledge maven doesn't support 4 digit version numbers (see for example http://mail-archives.apache.org/mod_mbox/maven-dev/200612.mbox/%3C457DF1... ... and you get even more posts if you look at google)
The discussion was recently resurrected for example at http://www.mail-archive.com/users@maven.apache.org/msg88096.html but afaik version 2.0.9 doesn't support it yet.

So what I will do is deploy swingx-0.9.5-2.jar (which maven should parse as version 0.9.5 build 2)

kschaefe
Offline
Joined: 2006-06-08
Points: 0

Cool. Thanks.

Karl

rah003
Offline
Joined: 2004-05-26
Points: 0

fixed now.